Name:           at-spi2-core
Version:        2.18.3
Release:        %mkrel 1
Summary:        Protocol definitions and daemon for D-Bus at-spi
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
#--------------------------------------
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xevie-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xtst-devel
BuildRequires: intltool
#--------------------------------------
Requires:       dbus
BuildRoot: %{_tmppath}/%{name}-root

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

%define major 0
%define libname %mklibname atspi %major

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%name = %version
Obsoletes:	%{_lib}at-spi0 < %version-%release
Requires:	at-spi2-atk

%description -n %{libname}
This package contains libraries used by %{name}.

%define libnamedev %mklibname -d atspi
%package -n %{libnamedev}
Summary:	Libraries and include files with %{name}
Group:		Development/Libraries
Requires:	%name = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}at-spi0-devel < %version-%release


%description -n %{libnamedev}
This package provides the necessary development libraries and include 
files to allow you to develop with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

find %buildroot -name *.la | xargs rm


%files -f %name.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%dir %_sysconfdir/at-spi2/
%config(noreplace) %_sysconfdir/at-spi2/accessibility.conf
%_sysconfdir/xdg/autostart/at-spi-dbus-bus.desktop
%{_libexecdir}/at-spi2-registryd
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/services/org.*.service
%{_datadir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_libdir}/girepository-1.0/Atspi-2.0.typelib

%files -n %libnamedev
%defattr(-,root,root,-)
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
%_datadir/gir-1.0/Atspi-2.0.gir
%_datadir/gtk-doc/html/libatspi

%clean
rm -rf %buildroot

%changelog
* Sat Nov 14 2015 bb <bb> 2.18.3-1pclos2015
- update

* Sat Nov 07 2015 bb <bb> 2.18.2-1pclos2015
- update

* Tue Oct 13 2015 bb <bb> 2.18.1-1pclos2015
- update

